<?php

error_reporting(0);
// error_reporting(E_ALL);
// ini_set('error_reporting', E_ALL);

include("../conexao.php");

header('Content-Type: application/json; charset=utf-8');
header("Cache-Control: no-cache");
header("Pragma: no-cache");

include("enableCORS.php");
enableCORS();

$ini = parse_ini_file('../config.ini');

$por_tabela = $ini['num_produtos_tabela'];

$where = '';

if ($_REQUEST['cod_tv'] != '') {
	$where = ' and s.id_tabela_digital = ' . $_REQUEST['cod_tv'];
}

// fazer pagar paramentro do config.ini
$sistema = $ini['sistema'];

if ($sistema == 'sysfood') {

	$ins_campo1 = mysqli_query($con, "ALTER TABLE produtos ADD tv_tabela INT(1) DEFAULT 1");

	$from_sistema = 'departamentos';
	$where .= " and p.tv_tabela = 1 and p.situacao = 0 ";
	$where2 = '';

	$sql = "SELECT p.gid, UPPER(p.desc_reduzida) AS desc_reduzida, p.vl_venda_normal, UPPER(s.descricao) AS descricao, s.codigo, valor_venda_promocao, promocao FROM produtos AS p, " . $from_sistema . " AS s WHERE s.codigo = p.codigo_departamento  and  p.vl_venda_normal > 0 " . $where . " ORDER BY p.codigo_departamento DESC, " . $where2 . " desc_reduzida ASC ";
} else {

	$qsistema = mysqli_query($con, " select sistema from versao limit 1 ");

	$resultado_qsistema = mysqli_fetch_assoc($qsistema);
	$sistema = $resultado_qsistema['sistema'];

	if ($sistema == 'SUPERFACIL') {

		$sql = " SELECT p.gid, UPPER(p.desc_reduzida) AS desc_reduzida, p.vl_venda_normal, UPPER(s.descricao) AS descricao, s.codigo, valor_venda_promocao, promocao FROM produtos AS p, setores AS s WHERE s.codigo = p.codigo_departamento  AND  p.vl_venda_normal > 0  AND s.id_tabela_digital = " . $_REQUEST['cod_tv'] . " ORDER BY codigo, desc_reduzida";
	} else {
		$sql = "SELECT
		produtos.gid,
		if((produtos.`desc_alternativa_tv` = 1) and (trim(produtos.`desc_alternativa`)=''),produtos.`desc_alternativa`,produtos.desc_reduzida) as desc_reduzida,
		if(produtos.`gramagem_etiqueta` > 0, truncate((produtos.vl_venda_normal / 1000) * produtos.`gramagem_etiqueta`,2), produtos.vl_venda_normal) as vl_venda_normal,
		produtos.promocao,
		if(produtos.`gramagem_etiqueta` > 0, truncate((produtos.valor_venda_promocao / 1000) * produtos.`gramagem_etiqueta`, 2), produtos.`valor_venda_promocao`) as valor_venda_promocao,
		if(produtos.`gramagem_etiqueta` > 0, concat(produtos.`gramagem_etiqueta`,'g'), produtos.unidade) as unidade,
		telas_tv.nome,
		telas_tv.titulo AS descricao
	FROM
		produtos
		INNER JOIN telas_tv ON (produtos.`id_tela_tv` = telas_tv.id)
	WHERE
		produtos.vl_venda_normal > 0 AND produtos.excluido = 'N' AND produtos.situacao = 0 AND
		telas_tv.`id_tabela_tv` = ".$_REQUEST["cod_tv"]."
	ORDER BY
		telas_tv.id,produtos.desc_reduzida;";

//		$sql = "SELECT 
//	gid,
//	desc_reduzida,
//	vl_venda_normal,
//	descricao,
//	codigo,
//	cod_grupo,
//	valor_venda_promocao,
//	promocao
//	FROM (SELECT p.gid, UPPER(p.desc_reduzida) AS desc_reduzida, p.vl_venda_normal, UPPER(s.descricao) AS descricao, s.codigo, valor_venda_promocao, promocao ,p.cod_grupo
//	FROM produtos AS p, setores AS s WHERE s.codigo = p.codigo_departamento  AND  p.vl_venda_normal > 0  AND s.id_tabela_digital = " . $_REQUEST['cod_tv'] . " AND p.excluido = 'N' AND p.mostra_tv = 'S'
//	UNION ALL
//	SELECT p.gid, UPPER(p.desc_reduzida) AS desc_reduzida, p.vl_venda_normal, UPPER(s.descricao) AS descricao, s.codigo, valor_venda_promocao, promocao,p.cod_grupo 
//	FROM produtos AS p, grupo AS s 
//	WHERE s.codigo = p.cod_grupo AND  p.vl_venda_normal > 0  AND s.id_tabela_digital = " . $_REQUEST['cod_tv'] . " AND p.excluido = 'N' AND p.mostra_tv = 'S'  
//	) AS b
//	GROUP BY gid
//	ORDER BY codigo,cod_grupo,desc_reduzida";
	}
}

$produtos = mysqli_query($con, $sql);

$total = mysqli_num_rows($produtos);

$varm = array();
$categoria = '';
$box = array();
$valor = array();
$promocao = array();
$medida = array();

$cont = 0;

while ($fs = mysqli_fetch_array($produtos)) {

	if ($categoria != $fs['descricao']) {

		if ($categoria == '') {
			$categoria = $fs['descricao'];
			//  echo '<br><b>'.$categoria.'</b><br>';
		} else {
			// echo '<br><b>'.$fs['descricao'].'</b><br>';   
			$varm[] = array('categoria' => $categoria, 'produtos' => $box, 'valor' => $valor, 'promocao' => $promocao, 'medida' => $medida);
			$box = array();
			$valor = array();
			$promocao = array();
			$medida = array();
			$categoria = $fs['descricao'];
			$cont = 0;
		}
	} else {

		if ($cont == $por_tabela) {
			// echo '<br><b>'.$fs['descricao'].'</b><br>'; 
			$varm[] = array('categoria' => trim($fs['descricao']), 'produtos' => $box, 'valor' => $valor, 'promocao' => $promocao, 'medida' => $medida);
			$box = array();
			$valor = array();
			$promocao = array();
			$medida = array();
			$cont = 0;
		}
	}

	$box[] = trim($fs['desc_reduzida']);

	if ($fs['promocao'] != 1) {
		$valor[] = number_format($fs['vl_venda_normal'], 2, ',', '.');
		$promocao[] = '0';
	} else {
		$valor[] = number_format($fs['valor_venda_promocao'], 2, ',', '.');
		$promocao[] = '1';
	}

	$medida[] = $fs["unidade"];

	//echo $fs['desc_reduzida'].'<br>';
	$cont++;
}

if (count($box) > 0) {
	$varm[] = array('categoria' => $categoria, 'produtos' => $box, 'valor' => $valor, 'promocao' => $promocao, 'medida' => $medida);
}


//print_r($box);
//echo '<br><br>';
echo json_encode($varm);
